%define upstream_name    Dist-Zilla-Plugin-GatherFromManifest
%define upstream_version 1.004

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Gather all files from MANIFEST
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Role::FileGatherer) >= 6.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::Manifest)
BuildRequires: perl(File::Find::Rule)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(MooseX::Types::Path::Class)
BuildRequires: perl(Path::Class)
BuildRequires: perl(namespace::autoclean)
BuildArch:  noarch

%description
This is a Dist::Zilla::Role::FileGathererplugin, which allows you to
implicitly specify which files should be built into distribution.

This module offers a different approach to default
Dist::Zilla::Plugin::GatherDirpage which adds ALL files to distribution
and Dist::Zilla::Plugin::ManifestSkip which prunes files listed
in MANIFEST.SKIP.

You should replace [GatherDir] with [GatherFromManifest] and make sure you
have a MANIFEST file. It's quite useful if you're converting existing
package to Dist::Zilla.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.4.0-5.mga10
+ Revision: 2203595
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.4.0-4.mga9
+ Revision: 1808940
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.4.0-3.mga8
+ Revision: 1504003
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.4.0-2.mga7
+ Revision: 1283009
- Mageia 7 Mass Rebuild

* Sat Aug 25 2018 shlomif <shlomif> 1.4.0-1.mga7
+ Revision: 1253937
- update to 1.004

* Thu May 10 2018 shlomif <shlomif> 1.3.0-1.mga7
+ Revision: 1228158
- update to 1.003

* Sat May 05 2018 shlomif <shlomif> 1.2.0-1.mga7
+ Revision: 1226415
- update to 1.002

* Sun Jun 19 2016 pterjan <pterjan> 1.1.0-7.mga6
+ Revision: 1026202
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 1.1.0-6.mga6
+ Revision: 931086
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.0-5.mga5
+ Revision: 743011
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1.0-3.mga4
+ Revision: 511111
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.1.0-2.mga3
+ Revision: 366157
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 14 2011 jquelin <jquelin> 1.1.0-1.mga1
+ Revision: 71139
- imported package perl-Dist-Zilla-Plugin-GatherFromManifest


* Mon Mar 14 2011 cpan2dist 1.001-1mga
- initial mageia release, generated with cpan2dist
